For Developers

Get District Enrollment Role

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/district_enrollment_roles/:district_enrollment_role_id

Retrieve information about a specific District Enrollment Role.

Request Parameters

ParameterLocationTypeDescription
district_enrollment_role_idurlstringThe UUID of the desired District Enrollment Role.

Sample Request

axios.get('https://ed.link/api/v2/graph/district_enrollment_roles/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "code": "DA2",
        "name": "District Administrator - Level 2",
        "description": "A district administrator.",
        "mapping": "district-administrator"
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}